CONSOLETYPE(1)

NAME
consoletype - print type of the console connected to standard input

SYNOPSIS
consoletype

DESCRIPTION
consoletype prints the type of console connected to standard input. It prints vt if console is a virtual terminal (/dev/tty* or /dev/console device if not on a serial console), serial if standard input is a serial console (/dev/console or /dev/ttyS*) and pty if standard input is a pseudo terminal.

RETURN VALUE
consoletype returns

0   if on virtual terminal

1   if on serial console

2   if on a pseudo terminal.